import { SeriesMeasure } from "../types/SeriesMeasure";
import { ApiServices } from "./ApiServices";
import { ReactWidgetPM } from '../types/widget';
import { KpiChartData } from "../types/KpiChart";
export declare class DashboardAnalyticsService {
    _ApiServices: ApiServices;
    controller: string;
    constructor();
    getData(widget: ReactWidgetPM, signal?: any): Promise<import("axios").AxiosResponse<SeriesMeasure[], any>>;
    getTargetAnalyticsData(widget: ReactWidgetPM, signal?: any): Promise<import("axios").AxiosResponse<SeriesMeasure[], any>>;
    getKpiData(widget: ReactWidgetPM): Promise<import("axios").AxiosResponse<KpiChartData, any>>;
    getTableData(widget: ReactWidgetPM): Promise<import("axios").AxiosResponse<any, any>>;
    getGaugeData(widget: ReactWidgetPM, signal?: any): Promise<import("axios").AxiosResponse<any, any>>;
    getObjectTableNameByWidgetEntityId(entityId: string | undefined): Promise<import("axios").AxiosResponse<any, any>>;
    getPivotData(widget: ReactWidgetPM): Promise<import("axios").AxiosResponse<any, any>>;
}
